# List all account numbers from a bank account

**GET** `/bank-accounts/{bank_account_id}/account-numbers`

Lists all the account numbers that point to a specific bank account.

### Path Parameters

- `bank_account_id` `string` _(required)_ — Unique identifier for the bank account.

### Query Parameters

- `ending_before` `string` — A cursor for pagination. `ending_before` is the ID of an object that defines your place in the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for pagination. `starting_after` is the ID of an object that defines your place in the list.

**Request**

```shell
curl 'https://api.column.com/bank-accounts/<bank_account_id>/account-numbers' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "account_numbers": [
    {
      "account_number": "256783259046169",
      "bank_account_id": "bacc_25nVQr05nZybpyEzw8j0wV6VRUh",
      "bic": "CLNOUS66",
      "created_at": "2022-03-01T20:09:42.949787176Z",
      "description": "Travel Checking Account Number",
      "id": "acno_25nacNsLD8qLI1Vc6x67sxFU27c",
      "routing_number": "121145307",
      "check_issuing_positive_pay_required": true
    }
  ],
  "has_more": true
}
```
